For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet credit notes
      • POSTCreate a credit note
      • POSTUpload a credit note from a file
      • GETGet credit note validations
      • PUTUpdate credit note validations
      • POSTReset credit note validations
      • GETGet a credit note by ID
      • DELDelete a credit note
      • PATCHUpdate a credit note
      • POSTApprove a credit note
      • POSTCancel a credit note
      • POSTCancel OCR of a credit note
      • GETGet all line items of a credit note
      • POSTAdd a new line item to a credit note
      • PUTReplace all line items of a credit note
      • GETGet a single line item of a credit note
      • DELDelete a line item from a credit note
      • PATCHUpdate a line item of a credit note
      • POSTReject a credit note
      • POSTSubmit a credit note for approval
      • GETValidate a credit note
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableCredit notes

Replace all line items of a credit note

PUT
/payable_credit_notes/:credit_note_id/line_items
PUT
/v1/payable_credit_notes/:credit_note_id/line_items
$curl -X PUT https://api.sandbox.monite.com/v1/payable_credit_notes/credit_note_id/line_items \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {}
> ]
>}'
1{
2 "data": [
3 {
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "created_at": "2024-01-15T14:30:00Z",
6 "updated_at": "2024-01-15T14:30:00Z",
7 "credit_note_id": "123e4567-e89b-12d3-a456-426614174000",
8 "created_by_user_id": "123e4567-e89b-12d3-a456-426614174000",
9 "description": "Premium version of Product XYZ with extended warranty",
10 "name": "Product XYZ",
11 "quantity": 2,
12 "subtotal": 10000,
13 "tax": 20,
14 "tax_amount": 2000,
15 "total": 12000,
16 "unit": "pieces",
17 "unit_price": 5000
18 }
19 ],
20 "next_pagination_token": "eyJwYWdlIjoyfQ==",
21 "prev_pagination_token": "eyJwYWdlIjoxfQ=="
22}
Was this page helpful?
Previous

Get a single line item of a credit note

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

credit_note_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
datalist of objectsRequired
List of credit note line items to replace existing ones

Response

Successful Response
datalist of objects
List of credit note line items for the current page
next_pagination_tokenstring
Token to retrieve the next page of results
prev_pagination_tokenstring
Token to retrieve the previous page of results

Errors

401
Put Payable Credit Notes ID Line Items Request Unauthorized Error
403
Put Payable Credit Notes ID Line Items Request Forbidden Error
404
Put Payable Credit Notes ID Line Items Request Not Found Error
422
Put Payable Credit Notes ID Line Items Request Unprocessable Entity Error
429
Put Payable Credit Notes ID Line Items Request Too Many Requests Error